QXmppVersionManager Class Reference
Managers

The QXmppVersionManager class makes it possible to request for the software version of an entity as defined by XEP-0092: Software Version. More...

`#include <QXmppVersionManager.h>`

Inheritance diagram for QXmppVersionManager:

List of all members.

## Signals

void | versionReceived (const QXmppVersionIq &)
| This signal is emitted when a version response is received.

## Public Member Functions

QString | requestVersion (const QString &jid)
void | setClientName (const QString &)
void | setClientVersion (const QString &)
void | setClientOs (const QString &)
QString | clientName () const
QString | clientVersion () const
QString | clientOs () const

## Detailed Description

The QXmppVersionManager class makes it possible to request for the software version of an entity as defined by XEP-0092: Software Version.

## Member Function Documentation

QString QXmppVersionManager::clientName | ( |  | ) | const

Returns the local XMPP client's name.

By default this is set to the QApplication::applicationName(), or "Based on QXmpp" if not specified.

QString QXmppVersionManager::clientOs | ( |  | ) | const

Returns the local XMPP client's operating system.

By default this is "Linux", "Mac OS", "Symbian" or "Windows" depending on the platform QXmpp was compiled for.

QString QXmppVersionManager::clientVersion | ( |  | ) | const

Returns the local XMPP client's version.

By default this is set to QApplication::applicationVersion(), or QXmpp's version if not specified.

QString QXmppVersionManager::requestVersion | ( | const QString & | jid | ) |

Request version information from the specified XMPP entity.

Parameters:

  jid |

void QXmppVersionManager::setClientName | ( | const QString & | name | ) |

Sets the local XMPP client's name.

Parameters:

  name |

void QXmppVersionManager::setClientOs | ( | const QString & | os | ) |

Sets the local XMPP client's operating system.

Parameters:

  os |

void QXmppVersionManager::setClientVersion | ( | const QString & | version | ) |

Sets the local XMPP client's version.

Parameters:

  version |

The documentation for this class was generated from the following files:

- QXmppVersionManager.h
- QXmppVersionManager.cpp

All Classes Functions Enumerations Enumerator Properties